Forums
Discussions and forums
Valarsoft forum section, you can register to write in the forums or you can only read forum posts.
You can post in english (main language) or italian (if you prefer).

All the forums Webmatic Webmatic older versions (previous 3.0.0)
only in discussions
Webmatic older versions (previous 3.0.0)
Discussions about Webmatic previous version 3.0.0
Creato il April 13 2004 (19:37:44), moderator: arraffaele (group: Default)
You can: read posts.

Author Message

jotaro1980
December 03 2010 (13:35:13)

problema con sito webmatic 2.6.2

Salve ho un problema.Il sito di un ragazzo è stato bloccato perchè faceva troppe query.Volevo provare ad installare webmatic in locale e ripristinare in locale il sito per vedere come funzionava e per recuperare i dati.Potete darmi una mano?
saluti

arraffaele
December 03 2010 (13:44:26)

Ciao,
prima di tutto ti converrebbe usare l'ultima versione di webmatic (che fa' un quarto delle query delle versioni più vecchie di Webmatic).

Dovresti fare cosi',
- installare in locale webmatic 2.6.2 (tramite ad esempio easyPHP)
- ripristinare il database tramite phpmyadmin (presente in easyphp)
- aggiornare il tutto alla versione 2.8 di Webmatic
- Installare l'ultima versione di webmatic (che si aggiorna automaticamente)

ti possono essere d'aiuto questo link: http://www.valarsoft.com/docs/it/user/p003.html#3 ed anche il manuale di webmatic 2.8 (presente nel file compresso webmatic_28.zip)

jotaro1980
December 03 2010 (14:51:53)

arraffaele wrote:
Ciao,
prima di tutto ti converrebbe usare l'ultima versione di webmatic (che fa' un quarto delle query delle versioni più vecchie di Webmatic).

Dovresti fare cosi',
- installare in locale webmatic 2.6.2 (tramite ad esempio easyPHP)
- ripristinare il database tramite phpmyadmin (presente in easyphp)
- aggiornare il tutto alla versione 2.8 di Webmatic
- Installare l'ultima versione di webmatic (che si aggiorna automaticamente)

ti possono essere d'aiuto questo link: http://www.valarsoft.com/docs/it/user/p003.html#3 ed anche il manuale di webmatic 2.8 (presente nel file compresso webmatic_28.zip)

grazie ti farò sapere presto ;-)

arraffaele
December 03 2010 (21:17:33)

Poichè è una vecchia versione di webmatic dovresti configurare in maniera opportuna sia il php che il mysql, dovresti editare il file php.ini e:

porre
short_open_tag = Off
ad on

poi mettere error_reporting cosi
error_reporting = E_ALL & ~E_NOTICE

dovresti anche disabilitare il mysql strict mode dal file my.ini cioe togliere (se presente)
STRICT_TRANS_TABLES
dalla riga
sql-mode="STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION"



In alternativa puoi provare con una vecchia versione di easyphp (tipo la 1.8 dovrebbe andare bene)

jotaro1980
December 03 2010 (21:36:01)

Allora ho provato ad installare in locale la 2.6.2 ma non va. ho fatto tutto quello che dice il manuale e la pagina di setup non mi compare ma una cosa di questo genere:

Webmatic.
Now you can modify on-line your website by click on [Admin].
For any question or suggestion please visit the Webmatic website www.valarsoft.com','Webmatic editorial staff','Special user','Subject','text','Subject','text','1','$setup_date')"; $QUERY_RST[6] ="INSERT INTO ".$DB_PREFIX."_morepref VALUES('','Webmatic','Benvenuti in Webmatic','','','Grazie per aver scelto Webmatic.
Adesso tu puoi modificare il tuo sito direttamente on-line, basta cliccare su [Admin].
Per ogni problema o suggerimento consulta il sito di Webmatic www.valarsoft.com','Redazione Webmatic','Utente speciale','Oggetto','testo','Oggetto','testo','2','$setup_date')"; $QUERY_RST[7] ="CREATE TABLE .....

come posso fare?

jotaro1980
December 03 2010 (21:37:26)

arraffaele wrote:
Poichè è una vecchia versione di webmatic dovresti configurare in maniera opportuna sia il php che il mysql, dovresti editare il file php.ini e:

porre
short_open_tag = Off
ad on

poi mettere error_reporting cosi
error_reporting = E_ALL & ~E_NOTICE

dovresti anche disabilitare il mysql strict mode dal file my.ini cioe togliere (se presente)
STRICT_TRANS_TABLES
dalla riga
sql-mode="STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION"



In alternativa puoi provare con una vecchia versione di easyphp (tipo la 1.8 dovrebbe andare bene)

ok domani ci provo , scusa per i post ripetuti ma a quanto pare quando faccio aggiorna lo rimette ;-)

arraffaele
December 03 2010 (22:06:47)

ok!

jotaro1980
December 07 2010 (13:00:42)

arraffaele wrote:
ok!

Allora la 2.8.0 la installa.Per importare in locale il sito con la 2.6.2 e farla funzionare sulla 2.8.0 cosa devo fare? mi basta sostituire i file nuovi con quelli vecchi e importare il database?
grazie

arraffaele
December 07 2010 (13:48:48)

jotaro1980 wrote:
Allora la 2.8.0 la installa.Per importare in locale il sito con la 2.6.2 e farla funzionare sulla 2.8.0 cosa devo fare? mi basta sostituire i file nuovi con quelli vecchi e importare il database?
grazie

ok se parti dalla 2.8 puoi aggiornare lo stesso dalla 2.6.2, dunque devi prima importare il solo database in locale e poi semplicemente (poichè i file sono già della 2.8) fare i passaggi per l'aggiornamento del database da 2.6 a 2.8.

jotaro1980
December 07 2010 (13:54:02)

arraffaele wrote:
ok se parti dalla 2.8 puoi aggiornare lo stesso dalla 2.6.2, dunque devi prima importare il solo database in locale e poi semplicemente (poichè i file sono già della 2.8) fare i passaggi per l'aggiornamento del database da 2.6 a 2.8.

aggiornando il database dalla 2.6 alla 2.7 (direttamente alla 2.8 non lo fa)mi dice:
Errore: Non riesco ad eseguire la query: ALTER TABLE webmatic_notizie ADD ora time AFTER ling

E poi i file con per es. le immagini del sito 2.6.2 non le devo importare?

arraffaele
December 07 2010 (14:23:29)

devi scegliere dal setup prima l'aggiornamento del database da 2.6 -> 2.7
e poi fare anche quello da 2.7 -> 2.8.

Nella versione 3.0.x le immagini e tutti i dati vari vanno ricopiati in un nuovo schema di cartelle che si trova a partire dalla cartella "data", le immagini vanno in "data/images" il logo in "data/logo" eccetera (purtroppo i percorsi delle immagini devono essere editati manualmente nelle varie pagine create con le versioni di webmatic che vanno dalla 2.8 a scendere)

jotaro1980
December 07 2010 (14:40:10)

arraffaele wrote:
devi scegliere dal setup prima l'aggiornamento del database da 2.6 -> 2.7
e poi fare anche quello da 2.7 -> 2.8.

Nella versione 3.0.x le immagini e tutti i dati vari vanno ricopiati in un nuovo schema di cartelle che si trova a partire dalla cartella "data", le immagini vanno in "data/images" il logo in "data/logo" eccetera (purtroppo i percorsi delle immagini devono essere editati manualmente nelle varie pagine create con le versioni di webmatic che vanno dalla 2.8 a scendere)

l ho fatto dal 2.6 al 2.7 e mi da l errore che ti ho descritto. Allora quello che ho fatto io è:Ho installato webm 2.8.0 in locale e creato il database. Dopodichè ho importato quello del sito 2.6.2. All' avvio in locale mi dice di mettere logi e passw e poi vado in una schermata dove mi dice che il database installato è il 2.6 e che ci vuole il 2.8 ma quando faccio da 2.6 a 2.7 mi dice quello che ti ho scritto sopra.
Sbaglio dei passaggi?
1 2 3


Total visitors 238568 (6 today) (Page generated in 0.26708 seconds, 87 queries)
Powered by: Webmatic 3.1.2 beta